#-------------------------------------------------------------------------------
#
# <--This denotes the beginning of a comment. It is only recognized
#    when it appears as the first character in a line

# ^--Blank lines are also ignored.
#
#-------------------------------------------------------------------------------
#    PORT                The serial communications port you will be using
#                        to talk to the computer interface.
#                        Choices: COM1 (default), COM2, COM3, and COM4.

PORT COM1

#
#-------------------------------------------------------------------------------
#    DEFINES can be used to substitute several identifiers. They help
#    make the commands more understandable.
#    For instance, you define COMPUTER as HOUSE A UNIT 8 as follows:

DEFINE OUTSIDE_LIGHTS HOUSE A UNIT 1 
DEFINE LIVING_ROOM_LAMP A2
DEFINE BEDROOM_LIGHT A3 
DEFINE FAMILY_ROOM_LAMP A4
DEFINE FLAG A5
DEFINE COMPUTER A8 

#    The following DEFINES were commented out:
#
#define xmas_computer house a unit 7 
#define red house k unit 1                      
#define green house k unit 2 
#define blue house l unit 1
#define white house l unit 2   

#    DEFINES must be declared before they are used in this file.
#
#-------------------------------------------------------------------------------
#
#    The following are direct commands that are performed
#    as soon as they are parsed.
#

#HOUSE A UNIT 2 OFF
#TABLE_LAMP ON

#
#-------------------------------------------------------------------------------
#
#    LATITUDE            You must use this command for accurate
#                        sunrise/sunset calculations. Positive values
#                        are used in the northern hemisphere, negative
#                        values for the southern hemisphere.
#    LONGITUDE           You must use this command for accurate
#                        sunrise/sunset calculations. Positive values
#                        are used west of Greenwich, negative
#                        east of Greenwich.
#                        These values may be obtained from almost any
#                        almanac, or consult your nearest library.
#                        For Mentor, OH:
#                             Latitude  = 4135'
#                             Longitude = 8120'
#                        
#                        These values must be expressed as follows:
#                             41d35m and 81d20m (or 4135' / 8120')
LATITUDE  4135'
LONGITUDE 8120'

#-------------------------------------------------------------------------------
#    TIMEZONE            Exact time calculations depend on the local time.
#                        Use the following chart to determine your timezone:
#                                  Zone                   Use
#                             ====================     =========
#                             Eastern Standard Time:        5
#                             Eastern Daylight Time:        4
#                             Central Standard Time:        6
#                             Central Daylight Time:        5
#                             Mountain Standard Time:       7
#                             Mountain Daylight Time:       6
#                             Pacific Standard Time:        8
#                             Pacific Daylight Time:        7
#

TIMEZONE 5


#
#-------------------------------------------------------------------------------
#    Set the X10 clock to the time and date of your PC's internal clock.

#SYNCHRONIZE X10

#
#-------------------------------------------------------------------------------
#    Set the PC clock to the time of your X10's internal clock.
#        Note: There is not enough information from the X10 to set the date.

SYNCHRONIZE PC

#
#-------------------------------------------------------------------------------
#    The following are a set of commands that are downloaded weekly. See the
#    documentation for full details - but here's a synopsis:
#    Every Sunday morning at 3:00, the computer is turned on via X10. 
#    A utility supplied with this package (POWERUP.EXE) will invoke 
#    XA.EXE to download another weeks worth of events. You may call other
#    programs as well, backup programs, communications, etc. 
#
#    Note the use of the SUNRISE and SUNSET tokens. These tokens will 
#    calculate the exact time of sunrise or sunset for your city assuming 
#    LATITUDE, LONGITUDE, and TIMEZONE were all entered correctly. 
#    This avoids having to constantly enter a new time for your outdoor lights.

SUNDAY ON SUNSET OUTSIDE_LIGHTS
SUN OFF SUNRISE OUTSIDE_LIGHTS OFFSET -15
# SUNDAY ON SUNSET FLAG     
# SUNDAY OFF SUNRISE FLAG 
SUNDAY ON SUNSET OFFSET 10 LIVING_ROOM_LAMP
SUNDAY OFF TIME 11:30 PM LIVING_ROOM_LAMP
SUNDAY ON SUNSET OFFSET -60 FAMILY_ROOM_LAMP
SUNDAY OFF TIME 11:30 PM FAMILY_ROOM_LAMP

MONDAY ON SUNSET OUTSIDE_LIGHTS   
MON OFF SUNRISE OUTSIDE_LIGHTS  offset -15
# MONDAY ON SUNSET FLAG   
# MONDAY OFF SUNRISE FLAG 
MONDAY ON SUNSET OFFSET 10 LIVING_ROOM_LAMP 
MONDAY OFF TIME 11:30 PM LIVING_ROOM_LAMP
MONDAY ON SUNSET OFFSET -60 FAMILY_ROOM_LAMP 
MONDAY OFF TIME 11:30 PM FAMILY_ROOM_LAMP

TUESDAY ON SUNSET OUTSIDE_LIGHTS  
TUE OFF SUNRISE OUTSIDE_LIGHTS  offset -15
# TUESDAY ON SUNSET FLAG  
# TUESDAY OFF SUNRISE FLAG 
TUESDAY ON SUNSET OFFSET 10 LIVING_ROOM_LAMP
TUESDAY OFF TIME 11:30 PM LIVING_ROOM_LAMP
TUESDAY ON SUNSET OFFSET -60 FAMILY_ROOM_LAMP
TUESDAY OFF TIME 11:30 PM FAMILY_ROOM_LAMP

WEDNESDAY ON SUNSET OUTSIDE_LIGHTS  
WED OFF SUNRISE OUTSIDE_LIGHTS  offset -15
# WEDNESDAY ON SUNSET FLAG  
# WEDNESDAY OFF SUNRISE FLAG 
WEDNESDAY ON SUNSET OFFSET 10 LIVING_ROOM_LAMP
WEDNESDAY OFF TIME 11:30 PM LIVING_ROOM_LAMP
WEDNESDAY ON SUNSET OFFSET -60 FAMILY_ROOM_LAMP
WEDNESDAY OFF TIME 11:30 PM FAMILY_ROOM_LAMP

THU ON SUNSET OUTSIDE_LIGHTS  
THURSDAY OFF SUNRISE OUTSIDE_LIGHTS  offset -15
# THURSDAY ON SUNSET FLAG  
# THURSDAY OFF SUNRISE FLAG 
THURSDAY ON SUNSET OFFSET 10 LIVING_ROOM_LAMP
THURSDAY OFF TIME 11:30 PM LIVING_ROOM_LAMP
THURSDAY ON SUNSET OFFSET -60 FAMILY_ROOM_LAMP
THURSDAY OFF  TIME 11:30 PM FAMILY_ROOM_LAMP

FRIDAY ON SUNSET OUTSIDE_LIGHTS  
FRI OFF SUNRISE OUTSIDE_LIGHTS  offset -15
# FRIDAY ON SUNSET FLAG  
# FRIDAY OFF SUNRISE FLAG 
FRIDAY ON SUNSET OFFSET 10 LIVING_ROOM_LAMP
FRIDAY OFF TIME 11:30 PM LIVING_ROOM_LAMP
FRIDAY ON SUNSET OFFSET -60 FAMILY_ROOM_LAMP
FRIDAY OFF TIME 12:30 AM FAMILY_ROOM_LAMP

SATURDAY ON SUNSET OUTSIDE_LIGHTS  
SAT OFF SUNRISE OUTSIDE_LIGHTS  offset -15
# SATURDAY ON SUNSET FLAG  
# SATURDAY OFF SUNRISE FLAG 
SATURDAY ON SUNSET OFFSET 10 LIVING_ROOM_LAMP
SATURDAY OFF TIME 11:30 PM LIVING_ROOM_LAMP
SATURDAY ON SUNSET OFFSET -60 FAMILY_ROOM_LAMP
SATURDAY OFF TIME 12:30 AM FAMILY_ROOM_LAMP

EVERYDAY ON SECURITY TIME 5:30 AM OUTSIDE_LIGHTS 
EVERYDAY OFF SECURITY TIME 12:30 AM OUTSIDE_LIGHTS

EVERYDAY ON  TIME 10:55 PM BEDROOM_LIGHT 
EVERYDAY OFF SECURITY TIME 1:30 AM BEDROOM_LIGHT

# The following turns on the Christmas lights at 15 minutes after sunset.
#
# EVERYDAY ON SUNSET OFFSET 15 XMAS_COMPUTER  EVENT 25
# EVERYDAY OFF TIME 11:20 PM  XMAS_COMPUTER EVENT 26
# EVERYDAY OFF TIME 11:21 PM  RED EVENT 21
# EVERYDAY OFF TIME 11:21 PM  GREEN EVENT 22
# EVERYDAY OFF TIME 11:21 PM  BLUE EVENT 23
# EVERYDAY OFF TIME 11:21 PM  WHITE EVENT 24

#
#    The following event occurs every Sunday at 3:00 AM.
#    When used in conjuction with POWERUP.EXE (in AUTOEXEC.BAT)
#    we can automatically download new commands an a weekly basis.
#    For example, sunrise and sunset change from day to day. The X10
#    computer interface can store these times for 1 week, then it
#    needs to be updated with new times.
#
#    Additional note: Backups are now performed during this time, as
#         well as having all the drives optimized.

SUNDAY ON COMPUTER TIME 3:00 AM

#    Make sure the computer is turned off at least 30 minutes later.
#    in case something went really bad - like I left a floppy in drive A.

SUNDAY OFF COMPUTER TIME 3:30 AM
#
#
